> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trending news

> Trending news



## OpenAPI

````yaml GET /v1/google/news/trending
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/news/trending:
    get:
      tags:
        - Google News
      summary: Trending news
      description: Get trending Google News stories via RSS.
      operationId: trending_news_api_v1_news_trending_get
      parameters:
        - name: hl
          in: query
          required: false
          schema:
            type: string
            description: Language code
            default: en
            title: Hl
          description: Language code
        - name: gl
          in: query
          required: false
          schema:
            type: string
            description: Country code
            default: US
            title: Gl
          description: Country code
        - name: max_results
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Max Results
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsTrendingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NewsTrendingResponse:
      properties:
        articles:
          items:
            $ref: '#/components/schemas/NewsArticle'
          type: array
          title: Articles
        language:
          type: string
          title: Language
          default: en
        country:
          type: string
          title: Country
          default: US
      type: object
      required:
        - articles
      title: NewsTrendingResponse
      description: Response for GET /api/v1/news/trending.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NewsArticle:
      properties:
        title:
          type: string
          title: Title
        link:
          type: string
          title: Link
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        source:
          $ref: '#/components/schemas/NewsSource'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        related_stories:
          items:
            $ref: '#/components/schemas/NewsRelatedStory'
          type: array
          title: Related Stories
      type: object
      required:
        - title
        - link
        - source
      title: NewsArticle
      description: A single news article.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NewsSource:
      properties:
        name:
          type: string
          title: Name
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
      type: object
      required:
        - name
      title: NewsSource
      description: News article source.
    NewsRelatedStory:
      properties:
        title:
          type: string
          title: Title
        link:
          type: string
          title: Link
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
      type: object
      required:
        - title
        - link
      title: NewsRelatedStory
      description: A related story within a news cluster.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````